Bug 803603 - [ovirt] [web-admin] wrong ERROR message when creating SD with too many PVs: "Storage Domain Doesn't Exists"
[ovirt] [web-admin] wrong ERROR message when creating SD with too many PVs: "...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.4
Assigned To: Einav Cohen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 04:36 EDT by Haim
Modified: 2016-02-10 11:31 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 17:51:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-15 04:36:23 EDT
Description of problem:

- createStorageDomain from more then 10 luns 
- createVG is sent
- vdsm returns an ERROR: 
StorageDomainIsMadeFromTooManyPVs: Storage domain is made from too many PVs: ()
- backend return an ERROR:

2012-03-15 10:30:37,259 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (http--0.0.0.0-8080-1) [2ab35d01] Command org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand return value 
 Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusOnlyReturnForXmlRpc
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         388
mMessage                      Storage domain is made from too many PVs: ()


2012-03-15 10:30:37,259 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (http--0.0.0.0-8080-1) [2ab35d01] Vds: nott-vds2.qa.lab.tlv.redhat.com
2012-03-15 10:30:37,259 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (http--0.0.0.0-8080-1) [2ab35d01] Command CreateStorageDomainVDS execution failed. Exception: VDSErrorException: VDSGenericException: VDSErrorException: Failed in vdscommand to CreateStorageDomainVDS, error = Storage domain is made from too many PVs: ()

- GUI returns an error: 

Error: Cannot attach Storage. Storage Domain doesn't exist.

please catch and produce same error.
Comment 1 Itamar Heim 2013-01-30 17:51:23 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.